%define snapshot 20121022124804

Name:           fossil
Version:        1.24
Release:        %mkrel 3
Summary:        Simple, high-reliability, distributed software configuration management
License:        BSD 2-clause
Group:          Development/Tools
URL:            http://www.fossil-scm.org/
Source:         http://www.fossil-scm.org/download/%{name}-src-%{snapshot}.tar.gz
BuildRequires:  openssl-devel
# Bundled newest snapshot of sqlite3 in sources
#BuildRequires:  sqlite3-devel
BuildRequires:  zlib-devel
BuildRequires:  tcl

%description
There are plenty of open-source version control systems available on
the internet these days. What makes Fossil worthy of attention?

1. Bug Tracking And Wiki - In addition to doing distributed version
control like Git and Mercurial, Fossil also supports distributed bug
tracking and distributed wiki all in a single integrated package.

2. Web Interface - Fossil has a built-in and easy-to-use web interface
that simplifies project tracking and promotes situational
awareness. Simply type "fossil ui" from within any check-out and
Fossil automatically opens your web browser in a page that gives
detailed history and status information on that project.

3. Autosync - Fossil supports "autosync" mode which helps to keep
projects moving forward by reducing the amount of needless forking and
merging often associated with distributed projects.

4. Self-Contained - Fossil is a single stand-alone executable that
contains everything needed to do configuration
management. Installation is trivial: simply download a precompiled
binary for Linux, Mac, or Windows and put it on your
$PATH. Easy-to-compile source code is available for users on other
platforms. Fossil sources are also mostly self-contained, requiring
only the "zlib" library and the standard C library to build.

5. Simple Networking - Fossil uses plain old HTTP (with proxy support)
for all network communications, meaning that it works fine from behind
restrictive firewalls. The protocol is bandwidth efficient to the
point that Fossil can be used comfortably over a dial-up internet
connection.

6. CGI Enabled - No server is required to use fossil. But a server
does make collaboration easier. Fossil supports three different yet
simple server configurations. The most popular is a 2-line CGI
script. This is the approach used by the self-hosting fossil
repositories.

7. Robust & Reliable - Fossil stores content using an enduring file
format in an SQLite database so that transactions are atomic even if
interrupted by a power loss or system crash. Furthermore, automatic
self-checks verify that all aspects of the repository are consistent
prior to each commit. In over three years of operation, no work has
ever been lost after having been committed to a Fossil repository.


%prep
%setup -q -n %{name}-src-%{snapshot}

%build
CFLAGS="%{optflags}" ./configure --prefix=/usr --with-openssl
%make

%install
%makeinstall_std

%files
%{_bindir}/fossil
%doc COPYRIGHT-BSD2.txt


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.24-3.mga3
+ Revision: 350786
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 05 2012 kamil <kamil> 1.24-2.mga3
+ Revision: 326941
- Disable sqlite3-devel as BR

* Tue Nov 20 2012 kamil <kamil> 1.24-1.mga3
+ Revision: 319723
- remove patch fossil-trunk-installdir - merged upstream
- fix %%setup
- new release 1.24

* Tue Nov 20 2012 kamil <kamil> 1.23-7.mga3
+ Revision: 319709
- fix Release
- adapt for Mageia
- imported package fossil

